Get upload list
curl --request GET \
--url https://api.bundle.social/api/v1/upload/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bundle.social/api/v1/upload/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bundle.social/api/v1/upload/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"posts": [
{
"postId": "<string>",
"uploadId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"teamId": "<string>",
"organizationId": "<string>",
"iconUrl": "<string>",
"thumbnailUrl": "<string>",
"url": "<string>",
"externalLink": "<string>",
"iconPath": "<string>",
"thumbnailPath": "<string>",
"path": "<string>",
"width": 123,
"height": 123,
"fileSize": 123,
"videoLength": 123,
"mime": "<string>",
"ext": "<string>"
}
]{
"message": "<string>",
"statusCode": 123,
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}upload
Get upload list
List the media files in your team’s library, filterable and including the posts each file is used in. Use it to reuse existing media instead of uploading duplicates.
GET
/
api
/
v1
/
upload
/
Get upload list
Authorizations
Query Parameters
Available options:
image, video, document Available options:
USED, UNUSED Response
200
Available options:
image, video, document Show child attributes
Show child attributes
Was this page helpful?
⌘I